SidInfo Class Referenceabstract

`#include <SidInfo.h>`

Inheritance diagram for SidInfo:

## Public Member Functions

const char * | name () const
| Library name.
const char * | version () const
| Library version.
unsigned int | numberOfCredits () const
| Library credits.
const char * | credits (unsigned int i) const
unsigned int | maxsids () const
| Number of SIDs supported by this library.
unsigned int | channels () const
| Number of output channels (1-mono, 2-stereo).
uint_least16_t | driverAddr () const
| Address of the driver.
uint_least16_t | driverLength () const
| Size of the driver in bytes.
uint_least16_t | powerOnDelay () const
| Power on delay.
const char * | speedString () const
| Describes the speed current song is running at.
const char * | kernalDesc () const
| Description of the laoded ROM images.
const char * | basicDesc () const
const char * | chargenDesc () const
unsigned int | numberOfSIDs () const
SidTuneInfo::model_t | sidModel (unsigned int i) const

## Detailed Description

This interface is used to get sid engine informations.

## Member Function Documentation

## numberOfSIDs()

unsigned int SidInfo::numberOfSIDs | ( |  | ) | const

SID chips

Since
  2.16

The documentation for this class was generated from the following files:

- SidInfo.h
- SidInfo.cpp